#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 28. Icons

- Prev

  adwaita-icon-theme-3.38.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home

# breeze-icons-5.79.0

## Introduction to Breeze Icons

The Breeze Icons package contains the default icons for KDE Plasma 5 applications, but it can be used for other window environments.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/5.79/breeze-icons-5.79.0.tar.xz

- Download MD5 sum: 6977e21486ea56c642a5037647636925

- Download size: 1.9 MB

- Estimated disk space required: 379 MB

- Estimated build time: 0.1 SBU

### Breeze Icons Dependencies

#### Required

extra-cmake-modules-5.79.0 and Qt-5.15.2

#### Optional

KDE Frameworks-5.79.0, libxml2-2.9.10, and lxml-4.6.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/breeze-icons

## Installation of Breeze Icons

Install Breeze Icons by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DBUILD_TESTING=OFF         \
          -Wno-dev ..

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DBUILD_TESTING=OFF`: This parameter disables building the testing framework, which requires some modules from KDE Frameworks-5.79.0.

## Contents

Installed Programs: None
Installed Library: None
Installed Directory: /usr/share/icons/breeze{,-dark}

Last updated on 2021-02-24 06:51:33 -0800

- Prev

  adwaita-icon-theme-3.38.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home